summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xpre-commit-hook9
1 files changed, 9 insertions, 0 deletions
diff --git a/pre-commit-hook b/pre-commit-hook
new file mode 100755
index 0000000..fa79d73
--- /dev/null
+++ b/pre-commit-hook
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+if git grep --cached -I -e '<<<<<<<' -e '>>>>>>>' > /dev/null; then
+	echo 'Cowardly refusing to commit with unresolved merges'
+	exit 1
+fi
+
+exit 0
+